# FileUploadData | windmill-client
Documentation for windmill-client

# Type Alias FileUploadData

FileUploadData: {
fileExtension?: string;
fileKey?: string;
requestBody: Blob | File;
resourceType?: string;
s3ResourcePath?: string;
storage?: string;
workspace: string;
}

#### Type declaration

- ##### `Optional` fileExtension?: string

- ##### `Optional` fileKey?: string

- ##### requestBody: Blob | File

  File content

- ##### `Optional` resourceType?: string

- ##### `Optional` s3ResourcePath?: string

- ##### `Optional` storage?: string

- ##### workspace: string

- Defined in src/types.gen.ts:5084